V1.0
get
/ec-dataaction-svc/rest/v1.0/studies/{studyId}/{mode}/signevaluation/configchange/studysummary
Retrieves a summary report representing the signature eligibility state for a given study. The summary includes the total due and overdue evaluations. This call is mainly used for monitoring study sign-off obligations.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
E878D663A2F34F7DB33DCB0CDEE993F1
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success. Returns the signature eligibility summary of the study.
Root Schema : SignEligibilitySummaryResponse
Type:
objectObject representing summary of signature eligibility, including number of due and overdue items.
Show Source
-
due: integer
(int64)
Number of signature evaluations that are due.Example:
10 -
overdue: integer
(int64)
Number of overdue signature evaluations.Example:
5
Examples
400 Response
Bad Request.
Root Schema : RestResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.